Subject: Re: bug#45127: 28.0.50; wdired + dired-hide-details-mode toggling?

From: Michael Heerdegen <[email-masked]>
Date: Wed, 09 Dec 2020 00:49:21 +0100

Drew Adams <[email-masked]> writes:

> All I tried was `emacs -Q', then Dired, then `C-x C-q',
> then evaluate (derived-mode-p 'dired-mode), which
> returned nil.

But you also said "FWIW, I don't see this problem with Emacs 27.1",
i.e. you said you don't see the error this is about.

> I used Emacs 26.3 and 27.1.  Maybe the test you show
> was introduced after 27.1?  Where do you see that test?

It's the first expression in the body of `dired-hide-details-mode' and
has been there since `dired-hide-details-mode' had been added 8 years
ago AFAICT.

Regards,

Michael.